## org.apache.batik.transcoder.wmf.tosvg
Class WMFPainter

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.AbstractWMFPainter
          org.apache.batik.transcoder.wmf.tosvg.WMFPainter

    public class WMFPainter

extends AbstractWMFPainter

Core class for rendering the WMF image. It is able to render a WMF file in a `Graphics` object.

Field Summary

Fields inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFPainter
`bReadingWMF, BRUSH, currentHorizAlign, currentStore, currentVertAlign, FONT, NULL_BRUSH, NULL_PEN, OBJ_BITMAP, OBJ_REGION, PALETTE, PEN, WMF_FILE_EXTENSION, wmfFont`

Constructor Summary
`WMFPainter(WMFRecordStore currentStore, float scale)` Basic constructor.
`WMFPainter(WMFRecordStore currentStore, int xOffset, int yOffset, float scale)` Basic constructor.

Method Summary
`WMFRecordStore` `getRecordStore()` Returns the WMFRecordStore this WMFPainter renders
`void` `paint(java.awt.Graphics g)` Renders the WMF image(s).

Methods inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFPainter
`addObject, addObjectAt, getAttributedString, getCharacterIterator, getCharacterIterator, getImage, getImage, getImageDimension, setRecordStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMFPainter

    public WMFPainter(WMFRecordStore currentStore,
                      float scale)

  Basic constructor.

  Parameters:
    `currentStore` - where the WMF records are stored
    `scale` - the scale of the image

### WMFPainter

    public WMFPainter(WMFRecordStore currentStore,
                      int xOffset,
                      int yOffset,
                      float scale)

  Basic constructor.

  Parameters:
    `scale` - the scale of the image
    `currentStore` - where the WMF records are stored
    `xOffset` - x value for offset
    `yOffset` - y value for offset

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Renders the WMF image(s).

### getRecordStore

    public WMFRecordStore getRecordStore()

  Returns the WMFRecordStore this WMFPainter renders

  Overrides:
    `getRecordStore` in class `AbstractWMFPainter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.